## core-cache-clojure 0.6.2

=== debian/changelog ===
core-cache-clojure (0.6.2-1) unstable; urgency=low

  * Initial Release. (Closes: #716981)

 -- Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com>  Sat, 17 Aug 2013 15:54:18 -0400
