=== debian/control ===
Source: core-cache-clojure
Section: java
Priority: optional
Maintainer: Debian Clojure Maintainers <pkg-clojure-maintainers@lists.alioth.debian.org>
Uploaders:
 Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com>
Build-Depends:
 javahelper (>= 0.43),
 maven-repo-helper (>= 1.7),
 libtext-markdown-perl | markdown,
 debhelper (>= 9),
 default-jdk,
 clojure1.4
Standards-Version: 3.9.4
Homepage: http://github.com/clojure/core.cache
Vcs-Git: git://git.debian.org/pkg-clojure/core-cache-clojure.git
Vcs-Browser: http://git.debian.org/?p=pkg-clojure/core-cache-clojure.git

Package: libcore-cache-clojure
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Recommends: ${java:Recommends}
Description: cache abstraction library for Clojure
 core.cache is a Clojure library that provides implementations of basic
 caching strategies such as:
 .
  * First-in-first-out (FIFOCache)
  * Least-recently-used (LRUCache)
  * Least-used (LUCache -- sometimes called Least Frequently Used)
  * Time-to-live (TTLCache)
  * Naïve cache (BasicCache)
  * Naïve cache backed with soft references (SoftCache)
  * Low inter-reference recency set algorithm (LIRSCache)
 .
 All implementation use a common base abstraction (CacheProtocol) which, in
 combination with suitable macros, allows for the easy integration of user
 defined caching strategies that hook into the Clojure associative data
 capabilities.
