=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/javahelper/java-vars.mk
export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/clojure.jar

MDWN_DOCS = $(patsubst %.md,%.html,$(wildcard $(CURDIR)/*.md))
PRODUCED_JAR=core.cache.jar
NAMESPACE=org.clojure/core.cache
MAVEN_META=META-INF/maven/$(NAMESPACE)

%:
	dh $@ --with javahelper,jh_maven_repo_helper

override_jh_build: $(MDWN_DOCS)
	jar cf $(PRODUCED_JAR) -C src/main/clojure .
	mkdir -p $(CURDIR)/doc/html && mv $(CURDIR)/README.html $(CURDIR)/doc/html
	mkdir -p $(CURDIR)/meta/$(MAVEN_META)
	cp $(CURDIR)/debian/maven-meta/* $(CURDIR)/meta/$(MAVEN_META)
	jar uf $(PRODUCED_JAR) -C meta/ META-INF
	jar uf $(PRODUCED_JAR) -C src/test/clojure clojure/core/cache/tests.clj

override_jh_clean:
	jh_clean
	rm -f $(CURDIR)/$(PRODUCED_JAR)
	rm -rf $(CURDIR)/doc
	rm -rf $(CURDIR)/meta

%.html:%.md
	cat debian/header.html > $@
	sed -i'' -e 's/@TITLE@/$(shell head -n 1 $< | sed 's/^#*\s*//')/g' $@
	markdown $< >> $@
	cat debian/footer.html >> $@
