## core-cache-clojure 0.6.5

=== debian/changelog ===
core-cache-clojure (0.6.5-2) unstable; urgency=medium

  * Team upload.
  * (Build-)Depend on data.priority-map (Closes: #862602).
  * Bump Standards to 4.0.0; no changes needed.
  * Adjust libcore-cache-clojure.doc-base.
  * Run tests during build.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 03 Aug 2017 14:13:20 -0400

core-cache-clojure (0.6.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Build depend on clojure (>= 1.8)
  * Standards-Version updated to 3.9.8
  * Switch to debhelper level 10
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 23 Dec 2016 11:40:11 +0100

core-cache-clojure (0.6.2-2) unstable; urgency=medium

  * Team upload.
  * Build depend on clojure1.6
  * Standards-Version updated to 3.9.5 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 12 Sep 2014 23:02:23 +0200
