=== debian/control ===
--- 
+++ 
@@ -8,13 +8,14 @@
  javahelper (>= 0.43),
  maven-repo-helper (>= 1.7),
  libtext-markdown-perl | markdown,
- debhelper (>= 9),
+ libdata-priority-map-clojure (>= 0.0.7),
+ debhelper (>= 10),
  default-jdk,
- clojure1.4
-Standards-Version: 3.9.4
+ clojure (>= 1.8)
+Standards-Version: 4.0.0
+Vcs-Git: https://anonscm.debian.org/git/pkg-clojure/core-cache-clojure.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-clojure/core-cache-clojure.git
 Homepage: http://github.com/clojure/core.cache
-Vcs-Git: git://git.debian.org/pkg-clojure/core-cache-clojure.git
-Vcs-Browser: http://git.debian.org/?p=pkg-clojure/core-cache-clojure.git
 
 Package: libcore-cache-clojure
 Architecture: all
