=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include /usr/share/javahelper/java-vars.mk
 export JAVA_HOME=/usr/lib/jvm/default-java
-export CLASSPATH=/usr/share/java/clojure.jar
+export CLASSPATH=/usr/share/java/clojure.jar:/usr/share/java/data.priority-map.jar
 
 MDWN_DOCS = $(patsubst %.md,%.html,$(wildcard $(CURDIR)/*.md))
 PRODUCED_JAR=core.cache.jar
@@ -20,6 +20,14 @@
 	jar uf $(PRODUCED_JAR) -C meta/ META-INF
 	jar uf $(PRODUCED_JAR) -C src/test/clojure clojure/core/cache/tests.clj
 
+override_jh_classpath:
+	jh_classpath $(PRODUCED_JAR)
+
+override_dh_auto_test:
+	dh_auto_test
+	(cd src/test/clojure && find . -name '*.clj' | \
+		xargs clojure -cp $(CLASSPATH):$(CURDIR)/$(PRODUCED_JAR))
+
 override_jh_clean:
 	jh_clean
 	rm -f $(CURDIR)/$(PRODUCED_JAR)
