=== debian/watch ===
version=3
https://github.com/clojure/core.cache/tags .*[-/]{1}(\d[\d\.]+)\.tar\.gz
