## core-cache-clojure 0.7.1

=== debian/changelog ===
core-cache-clojure (0.7.1-1) unstable; urgency=medium

  * Team upload.
  * debian/rules: add code to manage upstream tags.
  * Fixed VCS URLs (point to Salsa).
  * Use upstream tag workflow and upstream git repo as base.
  * Fixed upstream URLs (https).
  * New upstream release.
  * Use debhelper-compat.
  * Ran wrap-and-sort -bastk.
  * Standards-Version: 4.5.0.
  * Removed versions in build-depends when satisfied in Stable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Nov 2020 11:22:59 +0100
