=== debian/control ===
--- 
+++ 
@@ -3,24 +3,27 @@
 Priority: optional
 Maintainer: Debian Clojure Maintainers <pkg-clojure-maintainers@lists.alioth.debian.org>
 Uploaders:
- Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com>
+ Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com>,
 Build-Depends:
- javahelper (>= 0.43),
- maven-repo-helper (>= 1.7),
+ clojure,
+ debhelper-compat (= 10),
+ default-jdk,
+ javahelper,
+ libdata-priority-map-clojure,
  libtext-markdown-perl | markdown,
- libdata-priority-map-clojure (>= 0.0.7),
- debhelper (>= 10),
- default-jdk,
- clojure (>= 1.8)
-Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-clojure/core-cache-clojure.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-clojure/core-cache-clojure.git
-Homepage: http://github.com/clojure/core.cache
+ maven-repo-helper,
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/clojure-team/core-cache-clojure.git
+Vcs-Browser: https://salsa.debian.org/clojure-team/core-cache-clojure
+Homepage: https://github.com/clojure/core.cache
 
 Package: libcore-cache-clojure
 Architecture: all
-Depends: ${java:Depends}, ${misc:Depends}
-Recommends: ${java:Recommends}
+Depends:
+ ${java:Depends},
+ ${misc:Depends},
+Recommends:
+ ${java:Recommends},
 Description: cache abstraction library for Clojure
  core.cache is a Clojure library that provides implementations of basic
  caching strategies such as:
