## core-cache-clojure 1.0.207

=== debian/changelog ===
core-cache-clojure (1.0.207-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/rules: don't build the documentation.
  * d/watch: update to v4, move to git mode and delete superfluous rules in
    d/rules.
  * d/rules: use upstream's pom.xml, as it simplifies things greatly.
  * d/control: update to dh-compat 13.
  * d/control: Standards-Version updated to 4.5.1. Added Rules-Requires-Root.
  * d/control: add missing binary deps.
  * d/tests: add autopkgtests.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 08 Dec 2020 14:22:23 -0500
