=== debian/control ===
--- 
+++ 
@@ -6,22 +6,24 @@
  Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com>,
 Build-Depends:
  clojure,
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  default-jdk,
  javahelper,
  libdata-priority-map-clojure,
- libtext-markdown-perl | markdown,
  maven-repo-helper,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/clojure-team/core-cache-clojure.git
 Vcs-Browser: https://salsa.debian.org/clojure-team/core-cache-clojure
 Homepage: https://github.com/clojure/core.cache
+Rules-Requires-Root: no
 
 Package: libcore-cache-clojure
 Architecture: all
 Depends:
  ${java:Depends},
  ${misc:Depends},
+ libclojure-java,
+ libdata-priority-map-clojure,
 Recommends:
  ${java:Recommends},
 Description: cache abstraction library for Clojure
