=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/javahelper/java-vars.mk
export CLASSPATH=/usr/share/java/clojure.jar:/usr/share/java/data.priority-map.jar

PRODUCED_JAR=core.cache.jar

%:
	dh $@ --with javahelper --with maven_repo_helper

override_jh_build:
	jar cf $(PRODUCED_JAR) -C src/main/clojure .
	jar uf $(PRODUCED_JAR) -C src/test/clojure .

override_jh_classpath:
	jh_classpath $(PRODUCED_JAR)

override_jh_installlibs:
	jh_installlibs $(PRODUCED_JAR)

override_dh_auto_test:
	dh_auto_test
	(cd src/test/clojure && find . -name '*.clj' | \
		xargs clojure -cp $(CLASSPATH):$(CURDIR)/$(PRODUCED_JAR))

override_jh_clean:
	jh_clean
	rm -f $(CURDIR)/$(PRODUCED_JAR)
