=== debian/watch ===
version=4
opts="mode=git, uversionmangle=s/core.cache-\.//" \
https://github.com/clojure/core.cache.git \
refs/tags/(core.cache-)?([\d\.]+)
