## core-cache-clojure 1.0.225

=== debian/changelog ===
core-cache-clojure (1.0.225-2) unstable; urgency=medium

  * Team upload.
  * add missing classpath components

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 26 Oct 2022 10:03:31 -0400

core-cache-clojure (1.0.225-1) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * d/control: New email for the Clojure Team.

  [ Jérôme Charaoui ]
  * New upstream version 1.0.225
  * d/control: bump Standards-Version, no changes needed
  * d/gbp.conf: add config with clojure team defaults
  * d/rules: run build tests using bultitude
  * d/tests: use bultitude for autopkgtest
  * d/upstream: add metadata
  * d/watch: follow new upstream tag format

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 24 Oct 2022 23:23:09 -0400
