=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: core-cache-clojure
 Section: java
 Priority: optional
-Maintainer: Debian Clojure Maintainers <pkg-clojure-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Clojure Maintainers <team+clojure@tracker.debian.org>
 Uploaders:
  Eugenio Cano-Manuel Mendoza <eugeniocanom@gmail.com>,
 Build-Depends:
@@ -9,9 +9,10 @@
  debhelper-compat (= 13),
  default-jdk,
  javahelper,
+ libbultitude-clojure <!nocheck>,
  libdata-priority-map-clojure,
  maven-repo-helper,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/clojure-team/core-cache-clojure.git
 Vcs-Browser: https://salsa.debian.org/clojure-team/core-cache-clojure
 Homepage: https://github.com/clojure/core.cache
