=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/javahelper/java-vars.mk

PRODUCED_JAR=core.cache.jar

%:
	dh $@ --with javahelper --with maven_repo_helper

override_jh_build:
	jar cf $(PRODUCED_JAR) -C src/main/clojure .
	jar uf $(PRODUCED_JAR) -C src/test/clojure .

override_jh_installlibs:
	jh_installlibs $(PRODUCED_JAR)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	debian/run-build-tests
endif

override_jh_clean:
	jh_clean
	rm -f $(CURDIR)/$(PRODUCED_JAR)
